// FILENAME:	TDM_the_Icelanders.cs
//
// AUTHORS:  	{VTTK}Zoltar~AH~ 
//		
//
//		"BioDerm?' Isn't that a new kind of hand lotion?"
//
//             
//------------------------------------------------------------------------------

$missionName = "TDM_the_Icelanders";


exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");


function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

// what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = true;

// what can the server admin choose for available teams
        $server::disableTeamRed = false;
        $server::disableTeamBlue = false;
        $server::disableTeamYellow = false;
        $server::disableTeamPurple = false;
}
function player::onAdd(%this)
{
       
        say (%this, 0, "Welcome to Zoltars newest Map, TDM_the_Icelanders! This map requires the Ted vol file to play you may contact me in ICq for it #16819003");
	
}

function onMissionStart()
{
	cdAudioCycle("SS3", "SS4", "Watching"); 
	windSounds();
        iceSounds();

	
// custom rules for this mission ( teleporter )
   %rules = "<tIDMULT_TDM_GAMETYPE>"   @        
            "<tIDMULT_TDM_MAPNAME>"    @ 
            $missionName               @
            "<tIDMULT_TDM_OBJECTIVES>" @
            "<tIDMULT_TDM_SCORING_1>"  @
            "<tIDMULT_TDM_SCORING_2>"  @
            $killPoints                @
            "<tIDMULT_TDM_SCORING_3>"  @
            "<tIDMULT_TDM_SCORING_4>"  @
            $deathPoints               @
            "<tIDMULT_TDM_SCORING_5>"  @
            "<tIDMULT_TDM_SCORING_6>"  @
            "<tIDMULT_STD_ITEMS>"      @
            "<tIDMULT_STD_TELEPORTER>" @
            "<tIDMULT_STD_HEAL>"       @
            "<tIDMULT_STD_RELOAD>";

   setGameInfo(%rules);        
}


function Buddha::structure::onAttacked(%destroyed, %destroyer){
	%sayTo = playerManager::vehicleIdToPlayerNum(%destroyer);
	Say(%sayTo, %sayTo, *IDMULT_YOU_KILLED_BUDDHA);
	healObject(%destroyer, -10000);
	healObject(%destroyer, -10000);
	healObject(%destroyer, -10000);
	healObject(%destroyer, -10000);
	healObject(%destroyer, -10000);
}

function ZenTransporter::trigger::onContact(%this, %object)
{
	Zen::work(%this, %object, 100000, 100, 0, false);
	setPosition(%object, -415, 4933, 480);
	say(0,1,"sfx_thunder1.wav");
	say(0,1,"Welcome to Zoltars Mountain");
}

function ZenTransporter2::trigger::onContact(%this, %object)
{
	Zen::work(%this, %object, 100000, 100, 0, false);
	setPosition(%object, -1244, -1435, 351);
	say(0,1,"sfx_steam.wav");
	say(0,1,"This teleportation device is transporting you to The Icelanders base, be prepared to present proper identification, enjoy your stay!");
}

function ZenTransporter3::trigger::onContact(%this, %object)
{
	Zen::work(%this, %object, 100000, 100, 0, false);
	setPosition(%object, -3398, 31, 25);
	say(0,1,"sfx_machine3.wav");
	say(0,1,"Thanks for stopping bye!");
}

function ZenTransporter4::trigger::onContact(%this, %object)
{
	Zen::work(%this, %object, 100000, 100, 0, false);
	setPosition(%object, -3423, -47, 20);
	say(0,1,"sfx_steam.wav");
	say(0,1,"Thanks for trying storm Troopers Heal Facilities!");
}

function ZenTransporter5::trigger::onContact(%this, %object)
{
	Zen::work(%this, %object, 100000, 100, 0, false);
	setPosition(%object, 101, 179, 85);
	say(0,1,"sfx_steam.wav");
	say(0,1,"You are arriving at the Nordic Base have a nice stay");
}

function ZenTransporter6::trigger::onContact(%this, %object)
{
	Zen::work(%this, %object, 100000, 100, 0, false);
	setPosition(%object, -855, -1574, 45);
	say(0,1,"sfx_steam.wav");
	say(0,1,"This is the Land of the Icelanders be sure to visit the healing spa!");
}

function ZenTransporter7::trigger::onContact(%this, %object)
{
        Zen::work(%this, %object, 100000, 100, 0, false);
	setPosition(%object, 910, -40, 60);
	say(0,1,"sfx_steam.wav");
	say(0,1,"Use caution cybrids patrolling Glacial Rippers Base");
}

function ZenTransporter8::trigger::onContact(%this, %object)
{
        Zen::work(%this, %object, 100000, 100, 0, false);
        setPosition(%object, -2959, -27, 96);
	say(0,1,"sfx_steam.wav");
	say(0,1,"Welcome to Storm Troopers Base");
}

function ZenTransporter9::trigger::onContact(%this, %object)
{
        Zen::work(%this, %object, 100000, 100, 0, false);
        setPosition(%object, -2476, 412, 60);
}


function ZenTransporter10::trigger::onContact(%this, %object)
{
        Zen::work(%this, %object, 100000, 100, 0, false);
        setPosition(%object, 817, 32, 58 );
}

function ZenTransporter11::trigger::onContact(%this, %object)
{
        Zen::work(%this, %object, 100000, 100, 0, false);
        setPosition(%object, 405, -1498, 53 );
}

function ZenTransporter12::trigger::onContact(%this, %object)
{
        Zen::work(%this, %object, 100000, 100, 0, false);
        setPosition(%object, -2216, -37, 89 );
}

function ZenTransporter13::trigger::onContact(%this, %object)
{
        Zen::work(%this, %object, 100000, 100, 0, false);
        setPosition(%object, -2003, 1796, 76 );
}

function ZenTransporter14::trigger::onContact(%this, %object)
{
        Zen::work(%this, %object, 100000, 100, 0, false);
        setPosition(%object, 2664, -427, 57 );
}
function ZenTransporter15::trigger::onContact(%this, %object)
{
        Zen::work(%this, %object, 100000, 100, 0, false);
        setPosition(%object, -2927, -670, 86 );
}

function ZenTransporter16::trigger::onContact(%this, %object)
{
        Zen::work(%this, %object, 100000, 100, 0, false);
        setPosition(%object, -893, 2618, 74 );
}

function ZenTransporter17::trigger::onContact(%this, %object)
{
        Zen::work(%this, %object, 100000, 100, 0, false);
        setPosition(%object, -2473, -1358, 82 );
}

function ZenTransporter18::trigger::onContact(%this, %object)
{
        Zen::work(%this, %object, 100000, 100, 0, false);
        setPosition(%object, 12, 1783, 79 );
}

function ZenTransporter19::trigger::onContact(%this, %object)
{
        Zen::work(%this, %object, 100000, 100, 0, false);
        setPosition(%object, 1687, -1179, 80 );
}

function ZenTransporter20::trigger::onContact(%this, %object)
{
        Zen::work(%this, %object, 100000, 100, 0, false);
        setPosition(%object, -118, -2536, 64 );

// Healing Pad Functionality
//------------------------------------------------------------------------------

function ZenHeal::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_HEALPAD, true, true);  
}
function ZenHeal::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $healRate, 0, $padWaitTime, true); 
}

// Ammo Pad Functionality
//------------------------------------------------------------------------------

function ZenAmmo::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_AMMOPAD, true, true);  
}

function ZenAmmo::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, 0, $ammoRate, $padWaitTime, true); 

//This will enable the doors on the yellow platform to animate
//------------------------------------------------------------------------------

}
function Door1::trigger::onEnter(%this, %vehicleId){
     %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
      if(%player == 0)
      return;
      say(%player, 0, "PSsssttt....", "sfx_steam.wav");
      playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door1"), 0, true);
}
function Door1::trigger::onLeave(%this, %vehicleId){
	playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door1"), 0, false);
}
function Door2::trigger::onEnter(%this, %vehicleId){
     %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
      if(%player == 0)
      return;
      say(%player, 0, "PSsssttt....", "sfx_steam.wav");
      playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door2"), 0, true);
}
function Door2::trigger::onLeave(%this, %vehicleId){
	playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door2"), 0, false);
}
function Door3::trigger::onEnter(%this, %vehicleId){
     %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
      if(%player == 0)
      return;
      say(%player, 0, "PSsssttt....", "sfx_steam.wav");
      playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door3"), 0, true);
}
function Door3::trigger::onLeave(%this, %vehicleId){
	playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door3"), 0, false);
}
function Door4::trigger::onEnter(%this, %vehicleId){
     %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
      if(%player == 0)
      return;
      say(%player, 0, "getting Chill Eh?", "CC.wav");
      playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door4"), 0, true);
}
function Door4::trigger::onLeave(%this, %vehicleId){
	playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door4"), 0, false);
}
function Door5::trigger::onEnter(%this, %vehicleId){
     %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
      if(%player == 0)
      return;
      say(%player, 0, "PSsssttt....", "sfx_steam.wav");
      playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door5"), 0, true);
}
function Door5::trigger::onLeave(%this, %vehicleId){
	playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door5"), 0, false);
}
function Door6::trigger::onEnter(%this, %vehicleId){
     %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
      if(%player == 0)
      return;
      say(%player, 0, "getting Chill Eh?", "CIN_CA_02.wav");
      playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door6"), 0, true);
}
function Door6::trigger::onLeave(%this, %vehicleId){
	playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door6"), 0, false);
}
function Door7::trigger::onEnter(%this, %vehicleId){
     %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
      if(%player == 0)
      return;
      say(%player, 0, "PSsssttt....", "sfx_steam.wav");
      playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door7"), 0, true);
}
function Door7::trigger::onLeave(%this, %vehicleId){
	playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door7"), 0, false);
}
function Door8::trigger::onEnter(%this, %vehicleId){
     %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
      if(%player == 0)
      return;
      say(%player, 0, "PSsssttt....", "sfx_steam.wav");
      playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door8"), 0, true);
}
function Door8::trigger::onLeave(%this, %vehicleId){
	playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door8"), 0, false);
}
function Door9::trigger::onEnter(%this, %vehicleId){
     %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
      if(%player == 0)
      return;
      say(%player, 0, "Returning to Red Base,.. ", "sfx_steam.wav");
      playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door9"), 0, true);
}
function Door9::trigger::onLeave(%this, %vehicleId){
	playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door9"), 0, false);
}
function Door10::trigger::onEnter(%this, %vehicleId){
     %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
      if(%player == 0)
      return;
      say(%player, 0, "PSsssttt....", "sfx_steam.wav");
      playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door10"), 0, true);
}
function Door10::trigger::onLeave(%this, %vehicleId){
	playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door10"), 0, false);
}
function Door11::trigger::onEnter(%this, %vehicleId){
     %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
      if(%player == 0)
      return;
      say(%player, 0, "PSsssttt....", "sfx_steam.wav");
      playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door11"), 0, true);
}
function Door11::trigger::onLeave(%this, %vehicleId){
	playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door11"), 0, false);
}
function Door12::trigger::onEnter(%this, %vehicleId){
     %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
      if(%player == 0)
      return;
      say(%player, 0, "PSsssttt....", "sfx_steam.wav");
      playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door12"), 0, true);
}
function Door12::trigger::onLeave(%this, %vehicleId){
	playAnimSequence(getObjectId("MissionGroup\\Triggers\\Door12"), 0, false);
}

//This script tells the player something when he enters the teleporter
//------------------------------------------------------------------------------
//This cool stuff makes various sounds when you walk through triggers at strategically
//located areas throughout the map :)
//Kinda reflects this maps name when you hear these sounds!
//------------------------------------------------------------------------------

function SoundEffect1::trigger::onEnter(%this, %vehicleId){
	%player = playerManager::vehicleIdToPlayerNum(%vehicleId);
	if(%player == 0)
	return;
	say(%player, 0,"sfx_steam.wav");
	say(0,1,"Hello Pilots!, take a moment to relax in the jacuzzi, these mystical waters have a healing effect on you");
}
function SoundEffect2::trigger::onEnter(%this, %vehicleId)
{
	say(0,1,"sfx_steam.wav");
	say(0,1,"Hello Pilots!, take a moment to relax in the jacuzzi, these mystical waters have a healing effect on you");
}
function soundEffect3::trigger::onEnter(%this, %vehicleId)
{	
	say(0,1,"sfx_thunder2.wav");
}
function soundEffect4::trigger::onLeave(%this, %vehicleId)
{
	say(0,1,"sfx_thunder2.wav");
}
function soundEffect9::trigger::onLeave(%this, %vehicleId)
{
	say(0,1,"CIN_PILOT03.wav");
}
function soundEffect10::trigger::onLeave(%this, %vehicleId)
{
	say(0,1,"CIN_REBEL01.wav");
}
function soundEffect11::trigger::onLeave(%this, %vehicleId)
{
	say(0,1,"Teleporter transport sequence engaged...,");
	say(0,1,"scene5.wav");
}
function soundEffect12::trigger::onLeave(%this, %vehicleId)
{
	say(0,1,"sfx_lava.wav");
}
function soundEffect13::trigger::onLeave(%this, %vehicleId)
{
	say(0,1,"sfx_lava.wav");
}
function soundEffect14::trigger::onLeave(%this, %vehicleId)
{
	say(0,1,"sfx_lava.wav");
}
function soundEffect15::trigger::onLeave(%this, %vehicleId)
{
	say(0,1,"sfx_lava.wav");
}
//The following functions give Buddahs something to do
//heh heh :)
//-------------------------------------------------------------------------------

function soundEffect5::trigger::onEnter(%this, %vehicleId)
{
	say(0,0,"Walk lightly, you are trespassing on the Ancients burial grounds!");
	say(0,0,"At the time of thier deaths, the Ancients power was absorbed into these grounds.");
	say(0,0,"sfx_thunder1.wav");
}
function soundEffect6::trigger::onEnter(%this, %vehicleId)
{
	say(0,0,"In 2798, the Buddahs were placed over this site because of there ability");
	say(0,0,"to absorb and manufacture the power left here by the Ancients.");
	say(0,0,"sfx_thunder1.wav");
}
function soundEffect7::trigger::onEnter(%this, %vehicleId)
{
	say(0,0,"Loss of the Buddahs would mean the destruction of this planets");
	say(0,0,"natural atmosphere and therefore all its defenses.");
	say(0,0,"sfx_thunder1.wav");
}
function soundEffect8::trigger::onEnter(%this, %vehicleId)
{
	say(0,0,"Without the Buddahs power we all shall surely DIE!");
	say(0,0,"sfx_thunder1.wav");
}
// When the AI hercs are killed..
//--------------------------------------------------------------------------------
//Thank you Chojun for this script!
function vehicle::onDestroyed(%destroyed, %destroyer)
{
	vehicle::onDestroyedLog(%destroyed, %destroyer);
   
	if(%destroyed == $trolley1)
	{
		%txt = "<F5>" @ getHUDName(%destroyer);
		say(0,0, %txt @ ", Damn you miserable turd! You destroyed the Trolley Car!");
      	schedule( "trevorsCloneVehicle(\"$trolley1\", " @ %destroyed @ ", -2509.4, 476.91, 60);", $respawnDelay);
	}
	
	else
	{
		%message = getFancyDeathMessage(getHUDName(%destroyed), getHUDName(%destroyer));
		if(%message != "")
   		{
      		say(0, 0, %message);
   		}
	}
	
	if($server::TeamPlay == true)
   	{
      	if((getTeam(%destroyed) == getTeam(%destroyer)) && (%destroyed != %destroyer))
      	{
         		antiTeamKill(%destroyer);
      	}
   	}   

}